List Payout Agent Balance Movements
List the allocations and reclaims of a payout agent, newest first.
List the allocations and reclaims of a payout agent, newest first.
Authorization
api_key In: header
Path Parameters
ID of the payout agent.
uuidQuery Parameters
A limit on the number of objects to be returned, between 1 and 100.
A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with aaa, your subsequent call can include starting_after=aaa in order to fetch the next page of the list.
uuidA cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with aaa, your subsequent call can include ending_before=aaa in order to fetch the previous page of the list.
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v2/payout-agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/balance-movements"{ "has_more": true, "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "object": "payout_agent_balance_movement", "payout_agent_id": "79fb14fc-ce5a-4ca6-83f8-93ffe10240da", "type": "allocation", "amount": 0, "status": "string", "idempotency_key": "0cd90e5a-2c03-4ab6-81a8-d48818026e58", "metadata": null, "created": "2019-08-24T14:15:22Z" } ]}{ "success": false, "message": "string", "error_code": "string", "errors": [ null ]}{ "success": false, "message": "string", "error_code": "string", "errors": [ null ]}{ "success": false, "message": "string", "error_code": "string", "errors": [ null ]}Reclaim Funds from a Payout Agent
Move funds from the payout agent's available balance back to the app balance. Committed funds belong to payouts in flight and cannot be reclaimed until those payouts fail, are canceled, or are reversed.
List Payout Agent Payouts
List the payouts a payout agent sent, newest first.